API referenceProject
Read project status and credential project ID
Call before mutations and compare project_id with the selected project. Query parameters are rejected. A suspended project can be inspected but only an operator can resume it.
GET
Call before mutations and compare project_id with the selected project. Query parameters are rejected. A suspended project can be inspected but only an operator can resume it.
projectAPIKeyheader
AuthorizationBearer <ch_dev_ or ch_live_ project API key>Read CASCADEHOOK_API_KEY from the local environment. Never print keys or headers. Scope is the project selected when the key was created.
Read project status and credential project ID
application/json- response
project_id*stringFormat
uuidsuspended*booleansuspended_at*|Format
date-timereason*string|nullversion*integerRange
0 <= valuecurl -X GET 'https://api.cascadehook.com/v1/project-status'Example Response
{ "project_id": "01900000-0000-7000-8000-000000000003", "suspended": false, "suspended_at": null, "reason": null, "version": 0}